Content analytics

Each child brand's views, engagements, posts, creators and campaigns

GET/api/public/v1/content/brand_progress
LiveAnswers from your brand's records now.

Operation id getContentBrandProgress

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/brand_progress" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataobject
data.itemsarray of object
data.items[].[].active_campaignsinteger
data.items[].[].campaignsinteger
data.items[].[].creatorsinteger
data.items[].[].engagementsinteger
data.items[].[].logo_urlstring, nullable
data.items[].[].namestring
data.items[].[].organization_idinteger
data.items[].[].postsinteger
data.items[].[].slugstring
data.items[].[].viewsinteger
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "items": [
      {
        "active_campaigns": 3,
        "campaigns": 3,
        "creators": 3,
        "engagements": 3,
        "logo_url": "https://example.com/p/1",
        "name": "Example name",
        "organization_id": 1024,
        "posts": 3,
        "slug": "string",
        "views": 3
      }
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.